com.io7m.r2.core.debug

## Class R2DebugVisualizerRendererParameters.Builder

- java.lang.Object
- - com.io7m.r2.core.debug.R2DebugVisualizerRendererParameters.Builder

- Enclosing class:
    R2DebugVisualizerRendererParameters

      public static final class R2DebugVisualizerRendererParameters.Builder
      extends Object

  Builds instances of type `R2DebugVisualizerRendererParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2DebugVisualizerRendererParameters` | `build()` Builds a new `R2DebugVisualizerRendererParameters`.
    `R2DebugVisualizerRendererParameters.Builder` | `from(R2DebugVisualizerRendererParametersType instance)` Fill a builder with attribute values from the provided `R2DebugVisualizerRendererParametersType` instance.
    `R2DebugVisualizerRendererParameters.Builder` | `setDebugCube(R2DebugCubeUsableType debugCube)` Initializes the value for the `debugCube` attribute.
    `R2DebugVisualizerRendererParameters.Builder` | `setDebugInstances(R2DebugInstancesType debugInstances)` Initializes the value for the `debugInstances` attribute.
    `R2DebugVisualizerRendererParameters.Builder` | `setGeometryDefaultColor(com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> geometryDefaultColor)` Initializes the value for the `geometryDefaultColor` attribute.
    `R2DebugVisualizerRendererParameters.Builder` | `setGeometryGroupColors(it.unimi.dsi.fastutil.ints.Int2ReferenceMap<com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType>> geometryGroupColors)` Initializes the value for the `geometryGroupColors` attribute.
    `R2DebugVisualizerRendererParameters.Builder` | `setLights(R2SceneLightsType lights)` Initializes the value for the `lights` attribute.
    `R2DebugVisualizerRendererParameters.Builder` | `setOpaqueInstances(R2SceneOpaquesReadableType opaqueInstances)` Initializes the value for the `opaqueInstances` attribute.
    `R2DebugVisualizerRendererParameters.Builder` | `setShowLights(boolean showLights)` Initializes the value for the `showLights` attribute.
    `R2DebugVisualizerRendererParameters.Builder` | `setShowOpaqueInstances(boolean showOpaqueInstances)` Initializes the value for the `showOpaqueInstances` attribute.
    `R2DebugVisualizerRendererParameters.Builder` | `setUnitSphere(R2UnitSphereUsableType unitSphere)` Initializes the value for the `unitSphere` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2DebugVisualizerRendererParameters.Builder from(R2DebugVisualizerRendererParametersType instance)

      Fill a builder with attribute values from the provided `R2DebugVisualizerRendererParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setUnitSphere

          public final R2DebugVisualizerRendererParameters.Builder setUnitSphere(R2UnitSphereUsableType unitSphere)

      Initializes the value for the `unitSphere` attribute.
      Parameters:
        `unitSphere` - The value for unitSphere
      Returns:
        `this` builder for use in a chained invocation

    - #### setDebugCube

          public final R2DebugVisualizerRendererParameters.Builder setDebugCube(R2DebugCubeUsableType debugCube)

      Initializes the value for the `debugCube` attribute.
      Parameters:
        `debugCube` - The value for debugCube
      Returns:
        `this` builder for use in a chained invocation

    - #### setOpaqueInstances

          public final R2DebugVisualizerRendererParameters.Builder setOpaqueInstances(R2SceneOpaquesReadableType opaqueInstances)

      Initializes the value for the `opaqueInstances` attribute.
      Parameters:
        `opaqueInstances` - The value for opaqueInstances
      Returns:
        `this` builder for use in a chained invocation

    - #### setLights

          public final R2DebugVisualizerRendererParameters.Builder setLights(R2SceneLightsType lights)

      Initializes the value for the `lights` attribute.
      Parameters:
        `lights` - The value for lights
      Returns:
        `this` builder for use in a chained invocation

    - #### setDebugInstances

          public final R2DebugVisualizerRendererParameters.Builder setDebugInstances(R2DebugInstancesType debugInstances)

      Initializes the value for the `debugInstances` attribute.
      Parameters:
        `debugInstances` - The value for debugInstances
      Returns:
        `this` builder for use in a chained invocation

    - #### setShowOpaqueInstances

          public final R2DebugVisualizerRendererParameters.Builder setShowOpaqueInstances(boolean showOpaqueInstances)

      Initializes the value for the `showOpaqueInstances` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `showOpaqueInstances`.

      Parameters:
        `showOpaqueInstances` - The value for showOpaqueInstances
      Returns:
        `this` builder for use in a chained invocation

    - #### setShowLights

          public final R2DebugVisualizerRendererParameters.Builder setShowLights(boolean showLights)

      Initializes the value for the `showLights` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `showLights`.

      Parameters:
        `showLights` - The value for showLights
      Returns:
        `this` builder for use in a chained invocation

    - #### setGeometryGroupColors

          public final R2DebugVisualizerRendererParameters.Builder setGeometryGroupColors(it.unimi.dsi.fastutil.ints.Int2ReferenceMap<com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType>> geometryGroupColors)

      Initializes the value for the `geometryGroupColors` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `geometryGroupColors`.

      Parameters:
        `geometryGroupColors` - The value for geometryGroupColors
      Returns:
        `this` builder for use in a chained invocation

    - #### setGeometryDefaultColor

          public final R2DebugVisualizerRendererParameters.Builder setGeometryDefaultColor(com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> geometryDefaultColor)

      Initializes the value for the `geometryDefaultColor` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `geometryDefaultColor`.

      Parameters:
        `geometryDefaultColor` - The value for geometryDefaultColor
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2DebugVisualizerRendererParameters build()

      Builds a new `R2DebugVisualizerRendererParameters`.
      Returns:
        An immutable instance of R2DebugVisualizerRendererParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com